---
title: "Get specify  fulfillment order"
description: "Get specify fulfillment order"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/get-specify-fulfillment-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/get-specify-fulfillment-order.md'
---
# Get specify  fulfillment order

Get specify fulfillment order

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /fulfillment_orders/:order_id/:fulfillment_order_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_assigned_fulfillment_orders`

## Request

### Path Parameters

* `fulfillment_order_id`

  string (required)

  Performance order id

* `order_id`

  string (required)

  Order id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `fulfillment_order`

  object

  Order details

  * `merchant_requests`

    array<object>

    Request shipping information list

    * `kind`

      string

      Request type : 1 fulfillment_request 2 cancellation_request

    * `message`

      string

      Notes for the shipping application

    * `notify_customer`

      boolean

      Notify customers whether or not

    * `send_at`

      string

      Request time

  * `request_status`

    string

    Request status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmitted

  * `assigned_location`

    object

    Location details assigned

    * `country_code`

      string

      Country code

    * `zip`

      string

      Location zip code

    * `city`

      string

      City

    * `country`

      string

      Country

    * `name`

      string

      Location name

    * `phone`

      string

      Location phone number

    * `location_id`

      string

      Location id

    * `province`

      string

      Local province

    * `address2`

      string

      Address 2

    * `address1`

      string

      Address 1

  * `id`

    string

    Performance order id

  * `assigned_location_id`

    string

    Assigned location id

  * `shop_id`

    string

    store ID

  * `status`

    string

    Map order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled

  * `supported_actions`

    array<string>

    Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery

  * `fulfillment_holds`

    array<object>

    Pause information

    * `reason`

      string

      Pause cause

    * `reason_note`

      string

      Pause notes

  * `line_items`

    array<object>

    Product line information

    * `fulfillment_order_id`

      string

      Performance order id

    * `id`

      string

      Performance order Product line id

    * `harmonized_system_code`

      string

      Customs code

    * `line_item_id`

      string

      Product row id

    * `country_code_of_origin`

      string

      Country code of origin/shipping point

    * `fulfillable_quantity`

      long

      Available in approximately Product quantities

    * `shop_id`

      string

      store ID

    * `quantity`

      long

      Order Product line Product quantity

    * `variant_id`

      string

      Product sku

  * `order_id`

    string

    Order id

  * `delivery_method`

    object

    Express order logistics method

    * `min_delivery_date_time`

      string

      Earliest available delivery time

    * `max_delivery_date_time`

      string

      Latest delivery time

    * `method_type`

      string

      Delivery method type

  * `destination`

    object

    Consignee information

    * `company`

      string

      Consignee company

    * `phone`

      string

      Consignee phone number

    * `country_code`

      string

      Country code

    * `first_name`

      string

      Consignee name

    * `name`

      string

      Customer name

    * `address2`

      string

      Consignee address 2

    * `province_code`

      string

      The  IOS 3166-2 code of state or province

    * `zip`

      string

      Consignee address zip

    * `city`

      string

      Consignee city

    * `province`

      string

      Consignee province

    * `address1`

      string

      Consignee address 1

    * `delivery_store_code`

      string

      Local delivery store id, provided only for local delivery

    * `email`

      string

      Consignee mailbox

    * `delivery_store_name`

      string

      Local delivery store name, provided only for local delivery

    * `country`

      string

      Consignee country

    * `last_name`

      string

      Consignee last name


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Get specify fulfillment order",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_assigned_fulfillment_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "rYHEclgd",
  "parameters": [
    {
      "name": "fulfillment_order_id",
      "in": "path",
      "description": "Performance order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_order_id",
        "description": "Performance order id",
        "type": "string",
        "example": "\"4005740193290131085320\""
      },
      "example": "\"4005740193290131085320\""
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "Order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order id",
        "type": "string",
        "example": "\"21057401932826316666967110\""
      },
      "example": "\"21057401932826316666967110\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "fulfillment_order": {
                "name": "fulfillment_order",
                "description": "Order details",
                "type": "object",
                "properties": {
                  "merchant_requests": {
                    "name": "merchant_requests",
                    "description": "Request shipping information list",
                    "type": "array",
                    "items": {
                      "name": "merchant_requests",
                      "description": "Request shipping information list",
                      "type": "object",
                      "properties": {
                        "kind": {
                          "name": "kind",
                          "description": "Request type : 1 fulfillment_request 2 cancellation_request",
                          "type": "string",
                          "example": "\"fulfillment_request\""
                        },
                        "message": {
                          "name": "message",
                          "description": "Notes for the shipping application",
                          "type": "string",
                          "example": "\"rose\""
                        },
                        "notify_customer": {
                          "name": "notify_customer",
                          "description": "Notify customers whether or not",
                          "type": "boolean",
                          "example": false
                        },
                        "send_at": {
                          "name": "send_at",
                          "description": "Request time",
                          "type": "string",
                          "example": "2021-08-04T23:59:59+08:00"
                        }
                      },
                      "example": {
                        "kind": "\"fulfillment_request\"",
                        "message": "\"rose\"",
                        "notify_customer": false,
                        "send_at": "2021-08-04T23:59:59+08:00"
                      }
                    },
                    "example": [
                      {
                        "kind": "\"fulfillment_request\"",
                        "message": "\"rose\"",
                        "notify_customer": false,
                        "send_at": "2021-08-04T23:59:59+08:00"
                      }
                    ]
                  },
                  "request_status": {
                    "name": "request_status",
                    "description": "Request status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmitted",
                    "type": "string",
                    "example": "\"submitted\""
                  },
                  "assigned_location": {
                    "name": "assigned_location",
                    "description": "Location details assigned",
                    "type": "object",
                    "properties": {
                      "country_code": {
                        "name": "country_code",
                        "description": "Country code",
                        "type": "string",
                        "example": "\"US\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Location zip code",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "city": {
                        "name": "city",
                        "description": "City",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "country": {
                        "name": "country",
                        "description": "Country",
                        "type": "string",
                        "example": "\"United States\""
                      },
                      "name": {
                        "name": "name",
                        "description": "Location name",
                        "type": "string",
                        "example": "\"Apple Api Shipwire\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Location phone number",
                        "type": "string",
                        "example": "\"+1(502)-459-3417\""
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "Location id",
                        "type": "string",
                        "example": "\"5327026538935748524\""
                      },
                      "province": {
                        "name": "province",
                        "description": "Local province",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Address 2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Address 1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      }
                    },
                    "example": {
                      "zip": "\"40202\"",
                      "country": "\"United States\"",
                      "address2": "\"Chestnut Street 92\"",
                      "address1": "\"Chestnut Street 92\"",
                      "country_code": "\"US\"",
                      "phone": "\"+1(502)-459-3417\"",
                      "province": "\"Kentucky\"",
                      "name": "\"Apple Api Shipwire\"",
                      "city": "\"Louisville\"",
                      "location_id": "\"5327026538935748524\""
                    }
                  },
                  "id": {
                    "name": "id",
                    "description": "Performance order id",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "assigned_location_id": {
                    "name": "assigned_location_id",
                    "description": "Assigned location id",
                    "type": "string",
                    "example": "\"5327026538935748524\""
                  },
                  "shop_id": {
                    "name": "shop_id",
                    "description": "store ID",
                    "type": "string",
                    "example": "\"1644828244663\""
                  },
                  "status": {
                    "name": "status",
                    "description": "Map order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled",
                    "type": "string",
                    "example": "\"open\""
                  },
                  "supported_actions": {
                    "name": "supported_actions",
                    "description": "Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery",
                    "type": "array",
                    "items": {
                      "name": "supported_actions",
                      "description": "Operation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started delivery",
                      "type": "string",
                      "example": "[\"create_fulfillment\"]"
                    },
                    "example": [
                      "[\"create_fulfillment\"]"
                    ]
                  },
                  "fulfillment_holds": {
                    "name": "fulfillment_holds",
                    "description": "Pause information",
                    "type": "array",
                    "items": {
                      "name": "fulfillment_holds",
                      "description": "Pause information",
                      "type": "object",
                      "properties": {
                        "reason": {
                          "name": "reason",
                          "description": "Pause cause",
                          "type": "string",
                          "example": "\"out of stock\""
                        },
                        "reason_note": {
                          "name": "reason_note",
                          "description": "Pause notes",
                          "type": "string",
                          "example": "\"customer require\""
                        }
                      },
                      "example": {
                        "reason": "\"out of stock\"",
                        "reason_note": "\"customer require\""
                      }
                    },
                    "example": [
                      {
                        "reason": "\"out of stock\"",
                        "reason_note": "\"customer require\""
                      }
                    ]
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "Product line information",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "Product line information",
                      "type": "object",
                      "properties": {
                        "fulfillment_order_id": {
                          "name": "fulfillment_order_id",
                          "description": "Performance order id",
                          "type": "string",
                          "example": "\"4005740193290131085320\""
                        },
                        "id": {
                          "name": "id",
                          "description": "Performance order Product line id",
                          "type": "string",
                          "example": "\"1039283\""
                        },
                        "harmonized_system_code": {
                          "name": "harmonized_system_code",
                          "description": "Customs code",
                          "type": "string",
                          "example": "\"121\""
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "Product row id",
                          "type": "string",
                          "example": "\"518995019\""
                        },
                        "country_code_of_origin": {
                          "name": "country_code_of_origin",
                          "description": "Country code of origin/shipping point",
                          "type": "string",
                          "example": "\"US\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "Available in approximately Product quantities",
                          "type": "long",
                          "example": 1
                        },
                        "shop_id": {
                          "name": "shop_id",
                          "description": "store ID",
                          "type": "string",
                          "example": "\"1644828244663\""
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Order Product line Product quantity",
                          "type": "long",
                          "example": 1
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product sku",
                          "type": "string",
                          "example": "\"18055128824718541486811487\""
                        }
                      },
                      "example": {
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "fulfillable_quantity": 1,
                        "harmonized_system_code": "\"121\"",
                        "line_item_id": "\"518995019\"",
                        "country_code_of_origin": "\"US\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "shop_id": "\"1644828244663\"",
                        "quantity": 1
                      }
                    },
                    "example": [
                      {
                        "line_item_id": "\"518995019\"",
                        "shop_id": "\"1644828244663\"",
                        "quantity": 1,
                        "country_code_of_origin": "\"US\"",
                        "harmonized_system_code": "\"121\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "variant_id": "\"18055128824718541486811487\""
                      }
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order id",
                    "type": "string",
                    "example": "\"21057401932826316666967110\""
                  },
                  "delivery_method": {
                    "name": "delivery_method",
                    "description": "Express order logistics method",
                    "type": "object",
                    "properties": {
                      "min_delivery_date_time": {
                        "name": "min_delivery_date_time",
                        "description": "Earliest available delivery time",
                        "type": "string",
                        "example": "2021-08-04T23:59:59+08:00"
                      },
                      "max_delivery_date_time": {
                        "name": "max_delivery_date_time",
                        "description": "Latest delivery time",
                        "type": "string",
                        "example": "2021-08-04T23:59:59+08:00"
                      },
                      "method_type": {
                        "name": "method_type",
                        "description": "Delivery method type",
                        "type": "string",
                        "example": "shipping"
                      }
                    },
                    "example": {
                      "max_delivery_date_time": "2021-08-04T23:59:59+08:00",
                      "method_type": "shipping",
                      "min_delivery_date_time": "2021-08-04T23:59:59+08:00"
                    }
                  },
                  "destination": {
                    "name": "destination",
                    "description": "Consignee information",
                    "type": "object",
                    "properties": {
                      "company": {
                        "name": "company",
                        "description": "Consignee company",
                        "type": "string",
                        "example": "\"Apple inc\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Consignee phone number",
                        "type": "string",
                        "example": "\"+1(502)-459-2181\""
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country code",
                        "type": "string",
                        "example": "\"US\""
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "Consignee name",
                        "type": "string",
                        "example": "\"Bob\""
                      },
                      "name": {
                        "name": "name",
                        "description": "Customer name",
                        "type": "string",
                        "example": "\"Bob Norman\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Consignee address 2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "The  IOS 3166-2 code of state or province",
                        "type": "string",
                        "example": "\"KY\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Consignee address zip",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "city": {
                        "name": "city",
                        "description": "Consignee city",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "province": {
                        "name": "province",
                        "description": "Consignee province",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Consignee address 1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "delivery_store_code": {
                        "name": "delivery_store_code",
                        "description": "Local delivery store id, provided only for local delivery",
                        "type": "string",
                        "example": "\"A121\""
                      },
                      "email": {
                        "name": "email",
                        "description": "Consignee mailbox",
                        "type": "string",
                        "example": "\"bob.norman@mail.example.com\""
                      },
                      "delivery_store_name": {
                        "name": "delivery_store_name",
                        "description": "Local delivery store name, provided only for local delivery",
                        "type": "string",
                        "example": "\"Xa Shop\""
                      },
                      "country": {
                        "name": "country",
                        "description": "Consignee country",
                        "type": "string",
                        "example": "\"United States\""
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "Consignee last name",
                        "type": "string",
                        "example": "\"Norman\""
                      }
                    },
                    "example": {
                      "province": "\"Kentucky\"",
                      "country_code": "\"US\"",
                      "email": "\"bob.norman@mail.example.com\"",
                      "country": "\"United States\"",
                      "province_code": "\"KY\"",
                      "address2": "\"Chestnut Street 92\"",
                      "delivery_store_name": "\"Xa Shop\"",
                      "name": "\"Bob Norman\"",
                      "address1": "\"Chestnut Street 92\"",
                      "first_name": "\"Bob\"",
                      "last_name": "\"Norman\"",
                      "phone": "\"+1(502)-459-2181\"",
                      "delivery_store_code": "\"A121\"",
                      "company": "\"Apple inc\"",
                      "zip": "\"40202\"",
                      "city": "\"Louisville\""
                    }
                  }
                },
                "example": {
                  "assigned_location_id": "\"5327026538935748524\"",
                  "delivery_method": {
                    "min_delivery_date_time": "2021-08-04T23:59:59+08:00",
                    "max_delivery_date_time": "2021-08-04T23:59:59+08:00",
                    "method_type": "shipping"
                  },
                  "order_id": "\"21057401932826316666967110\"",
                  "assigned_location": {
                    "phone": "\"+1(502)-459-3417\"",
                    "country_code": "\"US\"",
                    "zip": "\"40202\"",
                    "address2": "\"Chestnut Street 92\"",
                    "address1": "\"Chestnut Street 92\"",
                    "city": "\"Louisville\"",
                    "country": "\"United States\"",
                    "province": "\"Kentucky\"",
                    "location_id": "\"5327026538935748524\"",
                    "name": "\"Apple Api Shipwire\""
                  },
                  "id": "\"4005740193290131085320\"",
                  "status": "\"open\"",
                  "merchant_requests": [
                    {
                      "notify_customer": false,
                      "send_at": "2021-08-04T23:59:59+08:00",
                      "kind": "\"fulfillment_request\"",
                      "message": "\"rose\""
                    }
                  ],
                  "fulfillment_holds": [
                    {
                      "reason": "\"out of stock\"",
                      "reason_note": "\"customer require\""
                    }
                  ],
                  "line_items": [
                    {
                      "fulfillment_order_id": "\"4005740193290131085320\"",
                      "fulfillable_quantity": 1,
                      "country_code_of_origin": "\"US\"",
                      "line_item_id": "\"518995019\"",
                      "quantity": 1,
                      "harmonized_system_code": "\"121\"",
                      "shop_id": "\"1644828244663\"",
                      "variant_id": "\"18055128824718541486811487\"",
                      "id": "\"1039283\""
                    }
                  ],
                  "shop_id": "\"1644828244663\"",
                  "request_status": "\"submitted\"",
                  "destination": {
                    "country": "\"United States\"",
                    "delivery_store_name": "\"Xa Shop\"",
                    "first_name": "\"Bob\"",
                    "company": "\"Apple inc\"",
                    "last_name": "\"Norman\"",
                    "name": "\"Bob Norman\"",
                    "city": "\"Louisville\"",
                    "email": "\"bob.norman@mail.example.com\"",
                    "country_code": "\"US\"",
                    "address1": "\"Chestnut Street 92\"",
                    "phone": "\"+1(502)-459-2181\"",
                    "province_code": "\"KY\"",
                    "delivery_store_code": "\"A121\"",
                    "address2": "\"Chestnut Street 92\"",
                    "province": "\"Kentucky\"",
                    "zip": "\"40202\""
                  },
                  "supported_actions": [
                    "[\"create_fulfillment\"]"
                  ]
                }
              }
            },
            "example": {
              "fulfillment_order": {
                "destination": {
                  "delivery_store_code": "\"A121\"",
                  "phone": "\"+1(502)-459-2181\"",
                  "email": "\"bob.norman@mail.example.com\"",
                  "last_name": "\"Norman\"",
                  "first_name": "\"Bob\"",
                  "city": "\"Louisville\"",
                  "address1": "\"Chestnut Street 92\"",
                  "company": "\"Apple inc\"",
                  "delivery_store_name": "\"Xa Shop\"",
                  "country": "\"United States\"",
                  "name": "\"Bob Norman\"",
                  "country_code": "\"US\"",
                  "address2": "\"Chestnut Street 92\"",
                  "province": "\"Kentucky\"",
                  "province_code": "\"KY\"",
                  "zip": "\"40202\""
                },
                "supported_actions": [
                  "[\"create_fulfillment\"]"
                ],
                "assigned_location": {
                  "province": "\"Kentucky\"",
                  "country": "\"United States\"",
                  "country_code": "\"US\"",
                  "name": "\"Apple Api Shipwire\"",
                  "city": "\"Louisville\"",
                  "phone": "\"+1(502)-459-3417\"",
                  "zip": "\"40202\"",
                  "address1": "\"Chestnut Street 92\"",
                  "address2": "\"Chestnut Street 92\"",
                  "location_id": "\"5327026538935748524\""
                },
                "order_id": "\"21057401932826316666967110\"",
                "id": "\"4005740193290131085320\"",
                "line_items": [
                  {
                    "fulfillment_order_id": "\"4005740193290131085320\"",
                    "quantity": 1,
                    "id": "\"1039283\"",
                    "line_item_id": "\"518995019\"",
                    "country_code_of_origin": "\"US\"",
                    "variant_id": "\"18055128824718541486811487\"",
                    "fulfillable_quantity": 1,
                    "harmonized_system_code": "\"121\"",
                    "shop_id": "\"1644828244663\""
                  }
                ],
                "request_status": "\"submitted\"",
                "assigned_location_id": "\"5327026538935748524\"",
                "delivery_method": {
                  "max_delivery_date_time": "2021-08-04T23:59:59+08:00",
                  "method_type": "shipping",
                  "min_delivery_date_time": "2021-08-04T23:59:59+08:00"
                },
                "fulfillment_holds": [
                  {
                    "reason_note": "\"customer require\"",
                    "reason": "\"out of stock\""
                  }
                ],
                "merchant_requests": [
                  {
                    "message": "\"rose\"",
                    "notify_customer": false,
                    "send_at": "2021-08-04T23:59:59+08:00",
                    "kind": "\"fulfillment_request\""
                  }
                ],
                "shop_id": "\"1644828244663\"",
                "status": "\"open\""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/fulfillment_orders/:order_id/:fulfillment_order_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get specify  fulfillment order",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_assigned_fulfillment_orders"
  ]
}
```